//
//		Definition of the main game class
//
#ifndef THE_INTRO1_SCENE_H
#define THE_INTRO1_SCENE_H


#include "ldwScene.h"
#include "ldwGameWindow.h"
#include "ldwImage.h"

class theGameState;
class theGraphicsManager;
class theStringManager;

class ldwButton;
class ldwTextControl;

class theIntro1Scene : public ldwScene
{
public:

	ldwUINT32 timer;
	bool visitedAtLeastOnce;
	
	theIntro1Scene();
	~theIntro1Scene();
	void SetTimer();
	bool HandleKey(int messageId,int keyCode,int character);
	bool HandleMouse(int messageId,ldwPoint location);
	bool HandleMessage(int messageId,long data);

protected:

	void Activate(bool active);

	void DrawScene();
	void UpdateScene();

private:
	
	ldwGameWindow      *gameWindow;
	theGameState       *gs;
	theGraphicsManager *gm;
	theStringManager   *stringMgr;

	//CWorldMap World;

	int  fadeInCount;
	bool beginFadeOut;
	int  fadeOutCount;
	bool fadeInComplete;
	bool fadeOutComplete;

	float fadeTrans;

	ldwRect displayRect;

	ldwTextControl *line1;
	ldwTextControl *line2;
	ldwTextControl *line3;
	ldwTextControl *line4;
	ldwTextControl *line5;
	ldwTextControl *line6;

	ldwRect fadeInOutRect;
};
#endif