//
//		Definition of the SnapShot scene class
//
#ifndef THE_SNAPSHOT_SCENE_H
#define THE_SNAPSHOT_SCENE_H

#include "theGameState.h"

#include "ldwScene.h"
#include "ldwGameWindow.h"
#include "ldwImage.h"

class ldwButton;
class theSoundManager;
class theGameState;
class theGraphicsManager;
class ldwTextControl;
class theStringManager;

class theSnapShotScene : public ldwScene
{
public:

	theSnapShotScene();
	~theSnapShotScene();
	
	bool HandleKey(int messageId,int keyCode,int character);
	bool HandleMouse(int messageId,ldwPoint location);
	bool HandleMessage(int messageId,long data);

protected:

	void Activate(bool active);
	void DrawScene();
	void UpdateScene();

private:

	void CalcDrawOrder();
	void AddToDrawOrder(int plantIndex,int x,int y);

	PlantType *GetPlantType(int whichPlant);

	ldwGameWindow      *gameWindow;
	theGameState       *gs;
	theGraphicsManager *gm;
	theSoundManager    *soundMgr;
	theStringManager   *stringMgr;

	bool visitedAtLeastOnce;

	int   fadeInCount;
	bool  beginFadeOut;
	int   fadeOutCount;
	bool  fadeInComplete;
	bool  fadeOutComplete;
	float fadeTrans;
	float msgFade;

	int screenChoice;

	ldwRect fadeInOutRect;
	
	const int menuButtonId;
	const int snapShotButtonId;
	const int changeBGButtonId;

	ldwButton *menuButton;
	ldwButton *snapShotButton;
	ldwButton *changeBGButton;

	int mDrawCount;
	int mDrawOrder[maxNumPlantRows * maxNumPlantsPerRow];

	bool mDragging;
	int  mDraggingIndex;
	int  mDraggingOffsetX;
	int  mDraggingOffsetY;

	ldwUINT32 messageTimer;
};
#endif